
import java.rmi.registry.*;
import java.rmi.server.UnicastRemoteObject;

public class RegisterWithRMIServer {
	/** Main method */
	public static void main(String[] args) {
		try {
			StudentServerInterface obj = new StudentServerInterfaceImpl();
			Registry registry = LocateRegistry.getRegistry();
			registry.rebind("StudentServerInterfaceImpl", obj);
			System.out.println("Student server " + obj + " registered");
		}
		catch (Exception ex) {
			System.out.println("Message = " + ex.getMessage());
			ex.printStackTrace();
		}	
	}
}
