
import java.rmi.*;
import java.rmi.server.*;
import java.util.UUID;

public class CallBackImpl extends UnicastRemoteObject implements CallBack {
	// The client will be called by the server through callback
	private Client thisClient;
	private UUID ID;

	/** Constructor */
	public CallBackImpl(Object client) throws RemoteException {
		thisClient = (Client)client;
		ID = ((Client)client).ID;
	}
	
	public UUID getID () throws RemoteException {
		return ID;
	}
	/** The server notifies the client for taking a turn */
	public void message(String msg) throws RemoteException {
		thisClient.message(msg);
	}

}
