import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.UUID;

public interface ServerInterface extends Remote {
	public void login (CallBack client, String name) throws RemoteException;
	public void message(String name, String message) throws RemoteException;
	public ArrayList<String> getUsersNames() throws RemoteException;
	public void logoff (UUID ID, String name) throws RemoteException;

}
